%define ver 2.8
%define subver 49

Name: gsoap
Version: %{ver}.%{subver}
Release: %mkrel 1
Summary: Development toolkit for SOAP/XML Web services in C/C++
Group: Development/Other
License: GPLv2
Source: %{name}_%{version}.tar.bz2
Patch0: Makefile.am.patch
Patch1: gsoap-2.8.12-ssl.patch
Patch2: gsoap-2.8-automake.patch
URL: http://www.cs.fsu.edu/~engelen/soap.html
BuildRequires: automake
BuildRequires: bison
BuildRequires: libstdc++-devel 
BuildRequires: openssl-devel 
BuildRequires: zlib-devel
BuildRequires: flex

%description
The gSOAP Web services development toolkit offers an XML to C/C++ language
binding to ease the development of SOAP/XML Web services in C and C/C++.

%package        source
Summary:        Source files of %{name}
Group:          Development/C

%description    source
The gSOAP Web services development toolkit offers an XML to C/C++ language
binding to ease the development of SOAP/XML Web services in C and C/C++.

This package contains the source code.

%prep
%setup -q -n %{name}-%{ver}
# remove pre-built binaries and libraries in source tree
rm -rf gsoap/bin

%patch0 -p0 -b .fPIC
%patch1 -p0 -b .ssl
%patch2 -p0 -b .automake

%build
autoreconf -fi
%configure2_5x

# keep a copy of source code (used by some TPM tools for Intel Classmate)
rm -rf %{name}-source
cp -a . ../%{name}-source
mv ../%{name}-source .
# remove pre-built binaries and libraries in source tree
find %{name}-source -name "*.so" -exec rm {} \;
find %{name}-source -name "*.o" -exec rm {} \;
find %{name}-source -name "*.dll" -exec rm {} \;
find %{name}-source -name "*.exe" -exec rm {} \;
find %{name}-source -name "*.la" -exec rm {} \;
find %{name}-source -name "*.a" -exec rm {} \;
find %{name}-source -name "*.pdf" -exec rm {} \;
find %{name}-source -name "*.doc" -exec rm {} \;
# next files make debuginfo failing:
rm -rf %{name}-source/%{name}/ios_plugin/examples/Calc/build/Debug-iphonesimulator/Calc.app/Calc
rm -rf %{name}-source/%{name}/ios_plugin/examples/GeoIPService/build/Debug-iphonesimulator/GeoIPService.app/GeoIPService
rm -rf %{name}-source/%{name}/samples/link++/xmas
rm -rf %{name}-source/%{name}/samples/wcf/WS/DualHttp/calculator

make SOAPCPP2_IMPORTPATH="-DSOAPCPP2_IMPORT_PATH=\"\\\"%{_datadir}/%{name}/import\"\\\"" WSDL2H_IMPORTPATH="-DWSDL2H_IMPORT_PATH=\"\\\"%{_datadir}/%{name}/WS\"\\\""

%install
mkdir -p %buildroot/%_datadir/%name
cp -R %name/import %buildroot/%_datadir/%name
cp -R %name/WS %buildroot/%_datadir/%name
cp -R %name/uddi2 %buildroot/%_datadir/%name
cp %name/stdsoap2.cpp %buildroot/%_datadir/%name
cp %name/stdsoap2.c %buildroot/%_datadir/%name
%makeinstall
install -d %{buildroot}%{_prefix}/src/
cp -a %{name}-source %{buildroot}%{_prefix}/src/%{name}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt NOTES.txt README.txt changelog.md factsheet.pdf license.pdf %name/doc
%defattr(-,root,root)
%{_bindir}/soapcpp2
%{_bindir}/wsdl2h
%{_includedir}/stdsoap2.h
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/libgsoap++.a
%{_libdir}/libgsoap.a
%{_libdir}/libgsoapck++.a
%{_libdir}/libgsoapck.a
%{_libdir}/libgsoapssl++.a
%{_libdir}/libgsoapssl.a
%{_libdir}/pkgconfig/gsoapssl++.pc
%{_libdir}/pkgconfig/gsoapssl.pc
%{_libdir}/pkgconfig/gsoap++.pc
%{_libdir}/pkgconfig/gsoap.pc
%{_libdir}/pkgconfig/gsoapck++.pc
%{_libdir}/pkgconfig/gsoapck.pc

%files source
%{_prefix}/src/%{name}




%changelog
* Sat Aug 11 2017 adrianomorselli <adrianomorselli> 2.8.49-1uplos2017
- security update
